Bug 132940 - [x86_64] cannaLE crashes when activated
[x86_64] cannaLE crashes when activated
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
: i18n
Depends On:
Blocks: FC3Target IIIMF
  Show dependency treegraph
 
Reported: 2004-09-20 01:39 EDT by Warren Togami
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version: im-sdk-12.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-19 02:45:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2004-09-20 01:39:40 EDT
Description of problem:
cannaLE crashes on x86_64 when activated.  When it crashes, it takes
gimlet out with it.  (Filing another bug for gimlet, as gimlet should
be more robust than this in failure cases.)

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1084225888 (LWP 10183)]
0x0000002a95b13c67 in canna_string_to_IMText (s=0x59c550, nseg=3,
    nb=0x409fb440, strs=0x409fb410, feedback_type=0x409fb430) at
CannaLE.c:583
583     CannaLE.c: No such file or directory.
        in CannaLE.c
Current language:  auto; currently c
(gdb) bt
#0  0x0000002a95b13c67 in canna_string_to_IMText (s=0x59c550, nseg=3,
    nb=0x409fb440, strs=0x409fb410, feedback_type=0x409fb430) at
CannaLE.c:583
#1  0x0000002a95b14288 in canna_preedit_draw (s=0x59c550) at CannaLE.c:778
#2  0x0000002a95b1614d in process_keyevent (s=0x59c550, ch=110)
    at CannaLE.c:1566
#3  0x0000002a95b163d5 in canna_process_keyevent (s=0x59c550,
kev=0x409ff680)
    at CannaLE.c:1695
#4  0x0000002a95b16a5a in if_canna_SendEvent (s=0x59c550, ev=0x409ff680)
    at CannaLE.c:1985
#5  0x000000000043f040 in if_SendEvent ()
#6  0x000000000042345a in LEContext::send_event (this=0x59c140,
    pimlex=0x59c480, pimevent=0x409ff680) at LE.cpp:363
#7  0x000000000042829c in IMInputContext::send_event (this=0x59b280,
    pimlex=0x59c480, pimevent=0x409ff680) at IMInputContext.cpp:117
#8  0x00000000004346f2 in IIIMP_ICState_REQUESTED::forward_event (
    this=0x5c21a0, pmes=0x5a97e0) at IIIMP_ICState.cpp:599
#9  0x0000000000432573 in IIIMP_ICState::message_proc (this=0x5a98a0,
    x_pmes=0x5a97e0) at IIIMP_ICState.cpp:78
#10 0x000000000042c461 in ICState::deliver (this=0x5a98a0,
message=0x5a97e0)
    at ICState.cpp:17
#11 0x000000000042b2e8 in IMState::dispatch (this=0x5a4e90, im_id=1,
ic_id=1,
    message=0x5a97e0) at IMState.cpp:75
#12 0x000000000042da22 in IIIMProtocol::receive_and_dispatch
(this=0x598be0,
---Type <return> to continue, or q <return> to quit---
    pims=0x5a4e90, flags=0) at IIIMProtocol.cpp:32
#13 0x000000000042946d in IMScheduler_MTPC_thread_entry (priv=0x5a96a0)
    at IMScheduler_MTPC.cpp:25
#14 0x000000301b905d74 in start_thread () from /lib64/tls/libpthread.so.0
#15 0x000000301aac20c3 in thread_start () from /lib64/tls/libc.so.6
#16 0x0000000000000000 in ?? ()
#17 0x0000000000000000 in ?? ()
#18 0x0000000000000000 in ?? ()
#19 0x0000000000000000 in ?? ()
#20 0x0000000000000000 in ?? ()
#21 0x0000000000000000 in ?? ()
#22 0x0000000000000000 in ?? ()
#23 0x0000000000000000 in ?? ()
#24 0x0000000000000000 in ?? ()
#25 0x0000000000000000 in ?? ()
#26 0x000000301ac04500 in _nl_C_locobj () from /lib64/tls/libc.so.6
#27 0x00000000409ffdc0 in ?? ()
#28 0x0000000000000054 in ?? ()
Previous frame inner to this frame (corrupt stack?)


Version-Release number of selected component (if applicable):
iiimf-le-canna-12.0.1-7.svn1891
Comment 1 Warren Togami 2004-09-24 20:30:03 EDT
If you want to run gdb with MALLOC_CHECK_=3, you need the following
gdb command:

[root@fedora64 ~]# MALLOC_CHECK_=3 gdb /usr/sbin/htt_server
malloc: using debugging hooks
GNU gdb Red Hat Linux (6.1post-1.20040607.28rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for
details.
This GDB was configured as "x86_64-redhat-linux-gnu"...Using host
libthread_db library "/lib64/tls/libthread_db.so.1".

(gdb) handle SIG33 pass nostop noprint
Signal        Stop      Print   Pass to program Description
SIG33         No        No      Yes             Real-time event 33
(gdb) run -d
Starting program: /usr/sbin/htt_server -d
Comment 2 Akira TAGOH 2004-09-26 23:31:59 EDT
well, this problem should be fixed in next build.
Comment 3 Akira TAGOH 2004-09-30 03:32:46 EDT
should be fixed in 12.0.1-8.svn1891 or later.
Comment 4 Zack Cerza 2004-10-04 13:27:27 EDT
I followed the procedure given in comment #1, and nothing bad seemed
to happen. Anything else I should do to test?
Comment 5 Lawrence Lim 2004-10-19 02:45:17 EDT
Confirmed fixed. Tested with im-sdk-12.1-1.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.